<?
  session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  require('libFormato.php');
  if(isset($_POST['botonregistro']))
    {	  
	  $n=$_POST['nombre'];
	  $p=$_POST['ap'];
	  $m=$_POST['am'];
	  $mail=$_POST['mail'];
	  $motivoviaje=$_POST['motviaje'];
	  $empresa=$_POST['empoinst'];
	  
	  //$nombre="MANTENIMIENTO";
	  $statusdep=$_POST['statusdep'];
	  
	  $fingreso=$_POST['fr'];
	  $fsalida=$_POST['fr2'];
	  $noche=$_POST['nodias'];
	  $sem=$_POST['nosem'];
	  $mes=$_POST['nomeses'];
	  $anio=$_POST['noanios'];
 
	  $folio=$_POST['folio'];
	  $fecha=$_POST['fecha'];
	  $realizo=$_POST['realizo'];

	  $idcomplejo=$_POST[comp];
	  $iddepartamento=$_POST[idd];
	  $propiedad=$_POST[deparprop];
  
	  $complejo=$_POST['compl'];
	  $clavedepartamento=$_POST['clavedep'];
	 
	  if($n=="" && $p=="" && $m==""){
		  $nombre=$statusdep;
		  $ap="";
		  $am="";	    
	  }else{
		  $nombre=$n;
	      $ap=$p;
	      $am=$m;	  
	  }
	 
	//INSERTA DATOS DE CLIENTE
	 $sql="INSERT INTO clientes (nombre,a_pat,a_mat,email,motivo_viaje,empresa,id_emp) 
	 VALUES ('$nombre','$ap','$am','$mail','$motivoviaje','$empresa','$realizo')";
	 $con=mysql_query($sql);
	 $idcliente=mysql_insert_id($db_conexion);
	 //TERMINA INSERTAR DATOS DE CLIENTE
	 
	 //INSERTA DATOS DE RENTA	
	 $sql="INSERT INTO  renta(id_renta ,folio ,id_cliente ,id_gerente ,id_coordinador ,id_ejecutivo, fecha,f_ingreso,f_salida)values('','$folio','$idcliente','$realizo','$realizo','$realizo','$fecha','$fingreso' ,'$fsalida')";
	 $con=mysql_query($sql);
	 $idrenta=mysql_insert_id($db_conexion);
	//TERMINA INSERTA DATOS DE RENTA
	
	  $Opciones = $_POST['mantenimiento'];
	  $comentario = $_POST['comentario'];
      foreach($Opciones as $indice=>$valor){
		 $sql="select id_departamento,clave,id_complejo from departamentos where id_departamento='$Opciones[$indice]'";
		 $eje=mysql_query($sql);
		 $reg=mysql_fetch_array($eje);
		 $reg['id_complejo'];
		
         $sql="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,no_anios,no_meses,no_sem,no_dias,status_renta,salida_prematura,comentario)
		 VALUES 
		 ('','$idrenta','$idcliente','$folio','$reg[id_complejo]','$Opciones[$indice]',CURDATE(),CURTIME(),'$fingreso','$fsalida','$anio','$mes','$sem','$noche','$statusdep','$fsalida','$comentario[$indice]')";
		 $con=mysql_query($sql);
		 $idconcepto=mysql_insert_id($db_conexion);
	  }
}	
?>	